Subject: Re: Latest version of SSH and WinCVS Problems
From: Gerrit Cap <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Jun 2002 09:00:28 +0200

Hello Cygwin users,

I have exactly the same problem. After upgrading to cygwin-1.3.11-3 from 
cygwin-1.3.10 WinCVS chokes on using the cygwin ssh. The problem is 
carriage return linefeed stuff related. Apparently if wincvs connects to a 
cvs server using ssh with the "old" cygwin dll everything works fine, but 
with the new cygwin dll, Wincvs gets an extra character after the ok 
response from the cvs server before the expected newline which resolves in 
the cvs program included with wincvs not recognizing the ok.

I guess something like this is happening

cvs server sends ok\n -> ssh protocol -> ssh.exe client of cygwin using 
1.3.10 dll -> ok\n to WinCVS
cvs server sends ok\n -> ssh protocol -> ssh.exe client of cygwin using 
1.3.11 dll -> ok\r\n to WinCVS which then says:
"cvs: update: unrecognized response: `ok
` received" as an error message

I also tried to remove cygwin and change the initial choice of "DOS" files 
to "UNIX" files or vice versa without result

Was there a specific reason why the cygwin-1.3.11 dll was changed for this ?

Gerrit.

Ps for Marcel: if you revert to cygwin-1.3.10 dll it works fine again !

-------------------- Marble Consulting ----------------------
Gerrit Cap                      http://www.marble.be/
OO Solutions Engineer           mailto:[email-masked]
Marble Consulting
Blauwe Gaanweg, 53              tel : +32 475  72.94.36
B-9150 Kruibeke-Bazel           fax : +32 3   744.19.17
Belgium
-------------------- Marble Consulting ----------------------
There is only one thing in the world worse than being witty,
and thats not being witty.          (Monthy Python)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/